package uebung02;

import java.io.FilterWriter;
import java.io.IOException;
import java.io.Writer;

/**
 * 
 * @author Lorenz Schauer
 * 
 * Eigener FilterWriter zum Verschlsseln 
 *
 */
public class EncodingWriter extends FilterWriter {

	protected EncodingWriter(Writer out) {
		super(out);
	}
	
	// Wichtig: Die Basis-Methode zum Schreiben berschreiben:
	// Hier wird zur Demonstration einfach das Zeichen um ein Zeichen versetzt. 
	@Override
	public void write(int c) throws IOException {

		super.write(c+1);
	}
	
	@Override
	public void write(String str) throws IOException {
		char[] tmp = str.toCharArray();
		for(int c : tmp)
			write(c);
	}
}
